%define major		7
%define libname		%mklibname lo %{major}
%define develname	%mklibname lo -d

Summary:	Open Sound Control protocol
Name:		liblo
Version:	0.26
Release:	%mkrel 7
License:	GPLv2
Group:		Sound/Utilities
URL:		http://liblo.sourceforge.net/
Source0:	http://downloads.sourceforge.net/liblo/%{name}-%{version}.tar.bz2
BuildRequires:	doxygen

%description
LibLO is an implementation of the Open Sound Control protocol for POSIX
systems, started by Steve Harris.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Obsoletes:	%{mklibname lo 0}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname lo 0 -d}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-static 
# do not use ipv6 atm since it causes slowness when calling dssi objects
#	--enable-ipv6

%make

%install
%makeinstall_std

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS NEWS ChangeLog README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.26-7.mga3
+ Revision: 357665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.26-6.mga3
+ Revision: 323401
- clean spec
- fix rpm group

* Tue Jan 18 2011 tmb <tmb> 0.26-5.mga1
+ Revision: 23066
- imported package liblo

